import java.awt.Canvas;

public abstract class Class151_Sub2_Sub3 extends Class151_Sub2 {

   int anInt10283;
   Canvas aCanvas10284;
   Class545_Sub3 aClass545_Sub3_10285;
   float[] aFloatArray10286;
   int[] anIntArray10287;
   int anInt10288;
   boolean aBool10289;
   static int[] anIntArray10290;


   public int method2742() {
      return this.anInt10283 * 623363725;
   }

   Class151_Sub2_Sub3(Class545_Sub3 var1, Canvas var2, int var3, int var4) {
      this.aCanvas10284 = var2;
      this.aClass545_Sub3_10285 = var1;
      this.anInt10288 = var3 * -1564736777;
      this.anInt10283 = var4 * -678138811;
   }

   void method15836(byte var1) {
      this.anIntArray10287 = new int[this.anInt10283 * 623363725 * -342532409 * this.anInt10288];
      this.aFloatArray10286 = new float[-342532409 * this.anInt10288 * this.anInt10283 * 623363725];
      if(this.aBool10289) {
         this.aClass545_Sub3_10285.method15342(-342532409 * this.anInt10288, 623363725 * this.anInt10283, this.anIntArray10287, this.aFloatArray10286);
      }

   }

   public int method2741() {
      return this.anInt10288 * -342532409;
   }

   final boolean method154() {
      this.aClass545_Sub3_10285.method15342(this.anInt10288 * -342532409, 623363725 * this.anInt10283, this.anIntArray10287, this.aFloatArray10286);
      this.aBool10289 = true;
      return true;
   }

   public int method2746() {
      return this.anInt10283 * 623363725;
   }

   final boolean method2748() {
      this.aBool10289 = false;
      return true;
   }

   public int method2747() {
      return this.anInt10288 * -342532409;
   }

   public int method2744() {
      return this.anInt10288 * -342532409;
   }

   public int method2745() {
      return this.anInt10283 * 623363725;
   }

   static Class151_Sub2_Sub3 method15837(Class545_Sub3 var0, Canvas var1, int var2, int var3) {
      Class151_Sub2_Sub3_Sub1 var4 = new Class151_Sub2_Sub3_Sub1(var0, var1, var2, var3);
      return var4;
   }

   final boolean method149() {
      this.aClass545_Sub3_10285.method15342(this.anInt10288 * -342532409, 623363725 * this.anInt10283, this.anIntArray10287, this.aFloatArray10286);
      this.aBool10289 = true;
      return true;
   }

   final boolean method2743() {
      this.aBool10289 = false;
      return true;
   }

   final void method14947(int var1, int var2) {
      if(this.anInt10288 * -342532409 != var1 || 623363725 * this.anInt10283 != var2) {
         this.anInt10288 = -1564736777 * var1;
         this.anInt10283 = var2 * -678138811;
         this.method15836((byte)126);
      }

   }

   void method15838() {
      this.anIntArray10287 = new int[this.anInt10283 * 623363725 * -342532409 * this.anInt10288];
      this.aFloatArray10286 = new float[-342532409 * this.anInt10288 * this.anInt10283 * 623363725];
      if(this.aBool10289) {
         this.aClass545_Sub3_10285.method15342(-342532409 * this.anInt10288, 623363725 * this.anInt10283, this.anIntArray10287, this.aFloatArray10286);
      }

   }

   void method15839() {
      this.anIntArray10287 = new int[this.anInt10283 * 623363725 * -342532409 * this.anInt10288];
      this.aFloatArray10286 = new float[-342532409 * this.anInt10288 * this.anInt10283 * 623363725];
      if(this.aBool10289) {
         this.aClass545_Sub3_10285.method15342(-342532409 * this.anInt10288, 623363725 * this.anInt10283, this.anIntArray10287, this.aFloatArray10286);
      }

   }

   final void method14946(int var1, int var2) {
      if(this.anInt10288 * -342532409 != var1 || 623363725 * this.anInt10283 != var2) {
         this.anInt10288 = -1564736777 * var1;
         this.anInt10283 = var2 * -678138811;
         this.method15836((byte)124);
      }

   }

   static void method15840(int var0, int var1) {
      if(Class3.anInt98 * -1763271407 == 128) {
         Class3.anInt75 = -919728807 * var0;
      } else if(267 == Class3.anInt98 * -1763271407) {
         Class3.anInt100 = -285341161 * var0;
      }

   }

   public static int method15841(CharSequence var0, int var1) {
      int var2 = var0.length();
      int var3 = 0;

      for(int var4 = 0; var4 < var2; ++var4) {
         if(var1 != 459426302) {
            ;
         }

         var3 = (var3 << 5) - var3 + Class313.method5585(var0.charAt(var4), (short)176);
      }

      return var3;
   }
}
